Bug 733682 - Lack of pre-allocated uid/gid causes problems when e.g an NFS backend is used.
Summary: Lack of pre-allocated uid/gid causes problems when e.g an NFS backend is used.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: myproxy
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 13:44 UTC by Steve Traylen
Modified: 2013-08-05 08:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-05 08:46:59 UTC


Attachments (Terms of Use)

Description Steve Traylen 2011-08-26 13:44:05 UTC
The myproxy user running the myproxy service has allocated a the uid/gid pair 
dynamically with:

%pre server
 getent group myproxy >/dev/null || groupadd -r myproxy
 getent passwd myproxy >/dev/null || \
 useradd -r -g myproxy -d %{_var}/lib/myproxy -s /sbin/nologin \
    -c "User to run the MyProxy service" myproxy
 exit 0

This causes problems potentially in the common deployment option where
the credentials are stored on a nfs volume for high availability.

To resolve this a reservation has now been made for the user myproxy
via Bug #733671 in the setup package.

The myproxy  user should be created with uid:gid   178:178

The logic above should be preserved such that the account (and group) are
created only if they do not already exist.

Steve.

Comment 1 Fedora End Of Life 2013-04-03 17:41:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Steve Traylen 2013-08-05 08:46:59 UTC
This was was fixed with  Dec 17 2012 with release 5.9-1. 

# uid:gid 178:178 now reserved for myproxy. rhbz#733671
%pre server
getent group myproxy >/dev/null || groupadd -g 178 -r myproxy
getent passwd myproxy >/dev/null || \
useradd -u 178 -r -g myproxy -d %{_var}/lib/myproxy -s /sbin/nologin \
   -c "User to run the MyProxy service" myproxy
exit 0


Note You need to log in before you can comment on or make changes to this bug.